package com.jz.dmp.modules.controller;

import com.jz.dmp.modules.model.DmpTableColumn;
import com.jz.dmp.modules.service.DmpTableColumnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 项目表字段(DmpTableColumn)表控制层
 *
 * @author Bellamy
 * @since 2020-12-23 16:34:56
 */
@RestController
@RequestMapping("/dmpTableColumn")
public class DmpTableColumnController {
    /**
     * 服务对象
     */
    @Autowired
    private DmpTableColumnService dmpTableColumnService;

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("selectOne")
    public DmpTableColumn selectOne(Integer id) {
        return this.dmpTableColumnService.queryById(id);
    }

}