package com.jz.dmp.modules.controller;

import com.jz.dmp.modules.model.DmpTable;
import com.jz.dmp.modules.service.DmpTableService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 项目表信息(DmpTable)表控制层
 *
 * @author Bellamy
 * @since 2020-12-23 15:32:57
 */
@RestController
@RequestMapping("dmpTable")
public class DmpTableController {
    /**
     * 服务对象
     */
    @Resource
    private DmpTableService dmpTableService;

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("selectOne")
    public DmpTable selectOne(Integer id) {
        return this.dmpTableService.queryById(id);
    }

}