package com.jz.dmp.modules.controller;

import com.jz.dmp.modules.model.DmpTableFieldSchema;
import com.jz.dmp.modules.service.DmpTableFieldSchemaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 项目表字段类型(DmpTableFieldSchema)表控制层
 *
 * @author Bellamy
 * @since 2020-12-23 16:34:56
 */
@RestController
@RequestMapping("dmpTableFieldSchema")
public class DmpTableFieldSchemaController{
    /**
     * 服务对象
     */
    @Autowired
    private DmpTableFieldSchemaService dmpTableFieldSchemaService;

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("selectOne")
    public DmpTableFieldSchema selectOne(Integer id) {
        return this.dmpTableFieldSchemaService.queryById(id);
    }

}