package com.jz.dmp.modules.controller;

import com.jz.dmp.modules.model.DvRuleT;
import com.jz.dmp.modules.service.DvRuleTService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * ???(DvRuleT)表控制层
 *
 * @author Bellamy
 * @since 2020-12-24 10:56:18
 */
@RestController
@RequestMapping("/dvRuleT")
public class DvRuleTController {
    /**
     * 服务对象
     */
    @Autowired
    private DvRuleTService dvRuleTService;

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("selectOne")
    public DvRuleT selectOne(Long id) {
        return this.dvRuleTService.queryById(id);
    }

}